<template>
    <div>
        <h4>{{message}}</h4>
        <span>请联系管理员或<el-button type="text" @click="handleClickLogin">重新登录</el-button></span>
    </div>
</template>
<script>
export default {
    name: 'index',
    props: [],
    data() {
        return {
            message: ''
        }
    },
    mounted() {
        this.message = this.$route.query.message;
    },
    methods: {
        handleClickLogin() {
            /**
             * 改为打开自己的登录页
             * nh 2021.10.25
             */
            return this.$router.replace({ path: "/login" });
            let ssoServer = process.env.SSO_SERVER
            let redirectUrl = window.location.protocol + '//' + window.location.host + '/adm/auth'
            window.location.href = `${ssoServer}?redirectUrl=${redirectUrl}`
        }
    }
}
</script>
<style lang='scss' scoped>
</style>